Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh	(revision 1196)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGNucleonElasticXS.hh,v 1.2 2008/12/01 16:50:23 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4BGGNucleonElasticXS.hh,v 1.5 2009/11/19 11:41:30 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh	(revision 1196)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGNucleonInelasticXS.hh,v 1.2 2008/12/01 16:50:23 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4BGGNucleonInelasticXS.hh,v 1.6 2009/11/19 11:44:46 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
@@ -125,5 +125,5 @@
 					       G4double /*Z*/, G4double/* A*/)
 {
-  return true;
+  return false;
   //  return (dp->GetDefinition() == particle);
 }
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh	(revision 1196)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGPionElasticXS.hh,v 1.2 2008/12/01 16:50:23 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4BGGPionElasticXS.hh,v 1.5 2009/11/19 11:46:13 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
@@ -125,5 +125,5 @@
 					  G4double /*Z*/, G4double/* A*/)
 {
-  return true;
+  return false;
   //  return (dp->GetDefinition() == particle);
 }
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh	(revision 1196)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGPionInelasticXS.hh,v 1.2 2008/12/01 16:50:23 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4BGGPionInelasticXS.hh,v 1.5 2009/11/19 11:47:19 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
@@ -125,5 +125,5 @@
 					    G4double /*Z*/, G4double/* A*/)
 {
-  return true;
+  return false;
   // return (dp->GetDefinition() == particle);
 }
Index: trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataSetRegistry.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataSetRegistry.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataSetRegistry.hh	(revision 1196)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionDataSetRegistry.hh,v 1.2 2009/02/14 19:22:19 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4CrossSectionDataSetRegistry.hh,v 1.3 2009/08/08 16:21:31 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
@@ -76,5 +76,4 @@
   static G4CrossSectionDataSetRegistry* theInstance;
   
-  G4int nxs;
   std::vector <G4VCrossSectionDataSet*> xSections;
 
Index: trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataStore.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataStore.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataStore.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionDataStore.hh,v 1.14 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4HadronCrossSections.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4HadronCrossSections.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4HadronCrossSections.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4TripathiCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4TripathiCrossSection.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4TripathiCrossSection.hh	(revision 1196)
@@ -43,4 +43,7 @@
    public:
    
+  G4TripathiCrossSection();
+  ~G4TripathiCrossSection();
+
    virtual
    G4bool IsApplicable(const G4DynamicParticle* aPart, const G4Element*)
Index: trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh	(revision 1055)
+++ trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VCrossSectionDataSet.hh,v 1.13 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
